//// ----------------------------------------------------------------------------
//// IrrKlang Wrapper for Imperative Languages - Freebasic Examples
//// Frank Dodd (2009)
//// ----------------------------------------------------------------------------
//// Example 01: Hello World
//// This simple example starts the sounds engine and plays a single wav file
//// ----------------------------------------------------------------------------

program Example01_HelloWorld;

{$IFDEF DARWIN}
  {$LINKLIB libIrrKlangWrapper}
{$ENDIF}

//// ////////////////////////////////////////////////////////////////////////////
//// Includes for extension libraries
uses IrrKlangWrapper;


begin
  // start the irrklang sound engine
  IrrKlangStart;

  // Play a sound
  IrrKlangPlay2D('./media/HelloWorld.wav');

  // sleep while the sound plays
  WriteLn('Press a key to end');
  ReadLn();

  // Stop the IrrKlang sound engine and release resources
  IrrKlangStop;
end.
